%define DisableOffensiveFortunes 1

Summary: A program which will display a fortune.
Name: fortune-mod
Version: 1.0
Release: 24.PU_IAS.2
License: BSD
Group: Amusements/Games
Source: ftp://sunsite.unc.edu/pub/Linux/games/amusements/fortune-mod-9708.tar.bz2
Source1: kernelnewbies-fortunes.tar.gz
Source2: bofh-excuses.tar.bz2
Source3: fortune-hitchhiker.tgz
Patch0: fortune-mod-offense.patch
Patch1: fortune-mod-1.0-remove-offensive.patch
Patch2: fortune-mod-1.0-remove-offensive-option.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Fortune-mod contains the ever-popular fortune program, which will
display quotes or witticisms. Fun-loving system administrators can add
fortune to users' .login files, so that the users get their dose of
wisdom each time they log in.

%prep
%setup -q -n fortune-mod-9708

%if %{DisableOffensiveFortunes}
%patch0 -p1 -b .disable-offensive1
%patch1 -p0 -b .disable-offensive2
%patch2 -p0 -b .remove-offensive-option
%endif

%build
make COOKIEDIR=%{_datadir}/games/fortune \
	FORTDIR=%{_prefix}/games BINDIR=%{_sbindir}

%install
rm -rf %{buildroot}

make    COOKIEDIR=%{_datadir}/games/fortune fortune/fortune.man
make	FORTDIR=%{buildroot}/%{_prefix}/games \
	COOKIEDIR=%{buildroot}%{_datadir}/games/fortune \
	BINDIR=%{buildroot}/%{_sbindir} \
	BINMANDIR=%{buildroot}/%{_mandir}/man1 \
	FORTMANDIR=%{buildroot}/%{_mandir}/man6 \
	install

tar zxvf %{SOURCE1} -C %{buildroot}%{_datadir}/games/fortune/
%if %{DisableOffensiveFortunes}
rm %{buildroot}%{_datadir}/games/fortune/men-women*
%endif


# Using bzcat for portability because tar keeps randomly changing the switch
# for bzip.  It was "y" at one point, then "I", and now it is "j".  God knows
# WTF they'll change it too next.

bzcat %{SOURCE2} | tar xvf - -C %{buildroot}%{_datadir}/games/fortune/

#HitchHiker
tar xzvf %{SOURCE3} -C %{buildroot}%{_datadir}/games/fortune/
mkdir %{buildroot}%{_bindir}
ln -sf %{_prefix}/games/fortune %{buildroot}%{_bindir}/fortune

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog TODO
%{_prefix}/games/fortune
%{_bindir}/fortune
%{_sbindir}/strfile
%{_sbindir}/unstr
%{_datadir}/games/fortune
%{_mandir}/man*/*

%changelog
* Wed Jul 30 2003 Thomas Uphill <uphill@ias.edu>
- added hitchhiker fortunes
- symlink in /usr/bin
* Thu Aug 22 2002 Mike A. Harris <mharris@redhat.com> 1.0-24
- Removed -o option from fortune, the manpage and --help message, as
  we do not provide or support the offensive fortunes for obvious
  reasons.  (#54713)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Mike A. Harris <mharris@redhat.com> 1.0-21
- Bump release + rebuild.

* Mon Feb 25 2002 Mike A. Harris <mharris@redhat.com> 1.0-20
- Conditionalized previous change, and rebuilt in new build environment

* Tue Jan 29 2002 Preston Brown <pbrown@redhat.com>
- more editorial work

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Dec 23 2001 Mike A. Harris <mharris@redhat.com> 1.0-17
- Added bofh-excuses and kernelnewbies fortune files

* Tue Sep  4 2001 Mike A. Harris <mharris@redhat.com> 1.0-16
- Remove an offensive remark.
- s/Copyright/License/
- Fix buildroot line.

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun  6 2000 Bill Nottingham <notting@redhat.com>
- rebuild; FHS stuff

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Jun 25 1999 Guido Flohr <gufl0000@stud.uni-sb.de>
- create fortune manpage without buildroot before installation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
